2004年11月21日

[vine-users:068748] gtk-2.0について

こんにちは、澤田です。
tar.gzファイルなどからコンパイルしてインストールするのにgtk/gtk.hが見つ
からない旨のエラーが出ます。(なぜ、引用しないのかというと makeを実行し
た後、莫大なエラーメッセージが表示される上に、make |lessやmake > errlog
などとしても、うまくいかないのです)(僕が試した3.4個のパッケージではす
べて)たしかに、/usr/includeの下にあるのは gtk-2.0であってgtkではありま
せん。そう思ってプログラムの
#include <gtk/gtk.h>を
#include <gtk-2.0/gtk/gtk.h>としましたが今度はgtk.hにある数多くのinclude
ファイルが見つからない旨のメッセージが表示されます。

このような状況を解決する方法をご存知の方は教えてください。

P.S.
Sawfishの件ですが、結局fluxboxをインストールすることで決着しました。ただ
気になるのは
#apt-get install sawfish

E:broken package
となります。
それとfluxboxはaptからインストールできましたが、fluxconfはウェブページか
らダウンロードしてコンパイルするしかないのですがそうすると上のようにエ
ラーになってしまいます。


投稿者 xml-rpc : 2004年11月21日 02:24
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/28062
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。